PDA

View Full Version : [CLOSED] Error when opening the designer



crink
31 Jan 2012, 11:05 AM
When I try to open the Designer 2 beta build 268 I get the following error:

"You are trying to decode an invalid JSON string: org.eclipse.core.runtime=1
Source Class: Ext.JSON
Source Method: decode
"
My feeling this is eclipse issue since I have a version of eclipse that has the salesfore IDE. Not sure how this could be interfering with the Designer. My computer is Windows 7 x64. This happens if I try to create a Extjs 4 or Touch project.

Stacktrace below.
You're trying to decode an invalid JSON String: !SESSION 2011-03-09 18:10:40.707 ----------------------------------------------- eclipse.buildId=M20100909-0800 java.version=1.6.0_20 java.vendor=Sun Microsystems Inc. BootLoader constants: OS=win32, ARCH=x86_64, WS=win32, NL=en_US Framework arguments: -product org.eclipse.epp.package.jee.product Command-line arguments: -os win32 -ws win32 -arch x86_64 -product org.eclipse.epp.package.jee.product !ENTRY com.salesforce.ide.core 2 0 2011-03-09 18:16:25.186 !MESSAGE WARN [2011-03-09 18:16:25,171] (ConnectionFactory.java:clearCache:209) - No cached connections !ENTRY com.salesforce.ide.core 2 0 2011-03-09 18:16:25.187 !MESSAGE WARN [2011-03-09 18:16:25,187] (DescribeObjectRegistry.java:clearCache:654) - No cached describes !ENTRY com.salesforce.ide.core 2 0 2011-03-09 18:16:25.188 !MESSAGE WARN [2011-03-09 18:16:25,188] (MetadataFactory.java:clearCache:131) - No cached metadata stubs !SESSION 2011-03-09 18:17:58.820 ----------------------------------------------- eclipse.buildId=M20110210-1200 java.version=1.6.0_20 java.vendor=Sun Microsystems Inc. BootLoader constants: OS=win32, ARCH=x86_64, WS=win32, NL=en_US Framework arguments: -product org.eclipse.epp.package.jee.product Command-line arguments: -data \ -os win32 -ws win32 -arch x86_64 -product org.eclipse.epp.package.jee.product !ENTRY com.salesforce.ide.core 2 0 2011-03-09 18:18:10.643 !MESSAGE WARN [2011-03-09 18:18:10,638] (ProxyManager.java:init:49) - No proxy bundle found - default proxy service will be initialized !ENTRY org.eclipse.osgi 2 0 2011-03-09 18:18:22.649 !MESSAGE While loading class "com.salesforce.ide.upgrade.internal.UpgradeNotifier$3", thread "Thread[main,6,main]" timed out waiting (5000ms) for thread "Thread[Worker-2,5,main]" to finish starting bundle "com.salesforce.ide.upgrade_20.0.1.201011121559 [806]". To avoid deadlock, thread "Thread[main,6,main]" is proceeding but "com.salesforce.ide.upgrade.internal.UpgradeNotifier$3" may not be fully initialized. !STACK 0 org.osgi.framework.BundleException: State change in progress for bundle "reference:file:plugins/com.salesforce.ide.upgrade_20.0.1.201011121559.jar" by thread "Worker-2". at org.eclipse.osgi.framework.internal.core.AbstractBundle.beginStateChange(AbstractBundle.java:1077) at org.eclipse.osgi.framework.internal.core.AbstractBundle.start(AbstractBundle.java:282) at org.eclipse.osgi.framework.util.SecureAction.start(SecureAction.java:417) at org.eclipse.osgi.internal.loader.BundleLoader.setLazyTrigger(BundleLoader.java:265) at org.eclipse.core.runtime.internal.adaptor.EclipseLazyStarter.postFindLocalClass(EclipseLazyStarter.java:106) at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass(ClasspathManager.java:453) at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.findLocalClass(DefaultClassLoader.java:216) at org.eclipse.osgi.internal.loader.BundleLoader.findLocalClass(BundleLoader.java:393) at org.eclipse.osgi.internal.loader.BundleLoader.findClassInternal(BundleLoader.java:469) at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:422) at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:410) at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.loadClass(DefaultClassLoader.java:107) at java.lang.ClassLoader.loadClass(Unknown Source) at com.salesforce.ide.upgrade.internal.UpgradeNotifier.addViewListener(UpgradeNotifier.java:294) at com.salesforce.ide.upgrade.internal.UpgradeNotifier.addProjectsViewListener(UpgradeNotifier.java:271) at com.salesforce.ide.upgrade.internal.UpgradeNotifier.addOpenedViewListeners(UpgradeNotifier.java:242) at com.salesforce.ide.upgrade.internal.UpgradeNotifier.access$0(UpgradeNotifier.java:233) at com.salesforce.ide.upgrade.internal.UpgradeNotifier$1.run(UpgradeNotifier.java:102) at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35) at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:134) at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4041) at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3660) at org.eclipse.ui.internal.Workbench.runEventLoop(Workbench.java:2640) at org.eclipse.ui.internal.Workbench.runUI(Workbench.java:2604) at org.eclipse.ui.internal.Workbench.access$4(Workbench.java:2438) at org.eclipse.ui.internal.Workbench$7.run(Workbench.java:671) at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:332) at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:664) at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:149) at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:115) at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196) at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:110) at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:79) at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:369) at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179) at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source) at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source) at java.lang.reflect.Method.invoke(Unknown Source) at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:619) at org.eclipse.equinox.launcher.Main.basicRun(Main.java:574) at org.eclipse.equinox.launcher.Main.run(Main.java:1407) at org.eclipse.equinox.launcher.Main.main(Main.java:1383) Caused by: org.eclipse.osgi.framework.internal.core.AbstractBundle$BundleStatusException ... 43 more Root exception: org.eclipse.osgi.framework.internal.core.AbstractBundle$BundleStatusException at org.eclipse.osgi.framework.internal.core.AbstractBundle.beginStateChange(AbstractBundle.java:1077) at org.eclipse.osgi.framework.internal.core.AbstractBundle.start(AbstractBundle.java:282) at org.eclipse.osgi.framework.util.SecureAction.start(SecureAction.java:417) at org.eclipse.osgi.internal.loader.BundleLoader.setLazyTrigger(BundleLoader.java:265) at org.eclipse.core.runtime.internal.adaptor.EclipseLazyStarter.postFindLocalClass(EclipseLazyStarter.java:106) at org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLocalClass(ClasspathManager.java:453) at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.findLocalClass(DefaultClassLoader.java:216) at org.eclipse.osgi.internal.loader.BundleLoader.findLocalClass(BundleLoader.java:393) at org.eclipse.osgi.internal.loader.BundleLoader.findClassInternal(BundleLoader.java:469) at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:422) at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:410) at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.loadClass(DefaultClassLoader.java:107) at java.lang.ClassLoader.loadClass(Unknown Source) at com.salesforce.ide.upgrade.internal.UpgradeNotifier.addViewListene

aconran
31 Jan 2012, 11:29 AM
I'm not quite sure what's happening here.

Are you opening the .xds file manually in eclipse? You should be staying inside of the Designer for all of your devlopment.

crink
31 Jan 2012, 11:37 AM
Nope, I downloaded the sencha designer, installed it, and opened it. Is there an install log I can send you?

crink
31 Jan 2012, 11:41 AM
I installed on a different drive than the C drive. That apparently caused the issue. After uninstalling and reinstalling on the C drive, the Designer opened fine.

aconran
31 Jan 2012, 11:50 AM
We will have to test that situation. Thanks.

ShrutiRuparel
10 Feb 2012, 9:23 PM
I am also facing same issue..its already installed in C: I tried uninstalling & installing again but same problem occured..:( How can I solve the error ???

aconran
13 Feb 2012, 10:29 AM
ShrutiRuparel -

Give us more details about your specific situation please

Phil.Strong
21 Feb 2012, 12:28 PM
Operating system?
32 bit vs 64?
default install location or other?